Subject: Re: cygnus bugs
From: [email-masked] (Fergus Henderson)

13 Jul 1997 01:24:52 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Tim Newsham <[email-masked]> writes:

>- cygwin does not properly transform command line path names across
>  mount points.  If I am on drive "D:" and type "vi /tmp/foo",
>  I end up editing "D:\tmp\foo" and not "C:\tmp\foo" even though
>  "/tmp" is on "C:".  (vi is not compiled with cygwin).
>  Cygwin should transform the path to "C:\tmp\foo" for the benefit
>  of non-cygwin applications.

How can cygwin know which arguments are pathnames and which are
just ordinary strings that should not be transformed in this manner?

Transforming _all_ program arguments in this manner would cause
more problems than it solves.

This has been discussed on this list before.  One possibility is
to use a bash function:

	vi() { command vi `expand_args "$@"` }

Here `expand_args' is a command that does the appropriate filename
transformation and then echos its arguments.

--
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".